- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
imag
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Complex operations

Get imaginary part of complex arrays. More...

## Functions
AFAPI array | imag (const array &in)
| C++ Interface for getting imaginary part from complex array. More...
AFAPI af_err | af_imag (af_array *out, const af_array in)
| C Interface for getting imaginary part from complex array. More...

## Detailed Description

Get imaginary part of complex arrays.

## Function Documentation

AFAPI af_err af_imag | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for getting imaginary part from complex array.

Parameters

  [out] | out | will contain the imaginary part of `in`
  [in] | in | is complex array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::imag | ( | const array & | in | ) |

C++ Interface for getting imaginary part from complex array.

Parameters

  [in] | in | is complex array

Returns
  the imaginary part of `in`